/* Copyright 2020 lmlask
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#define MOUSEKEY_DELAY 50
#define MIDI_ADVANCED
#define TAPPING_TERM 175 //For fast typing
#define QUICK_TAP_TERM 0 //No autorepeat in tap-hold keys
#define HOLD_ON_OTHER_KEY_PRESS //For fast typing

// Min 0, max 32
#define JOYSTICK_BUTTON_COUNT 32
// Min 0, max 6: X, Y, Z, Rx, Ry, Rz
#define JOYSTICK_AXIS_COUNT 0
// Min 8, max 16
#define JOYSTICK_AXIS_RESOLUTION 8

#define RGB_DISABLE_WHEN_USB_SUSPENDED // turn off effects when suspended

//#undef ENABLE_RGB_MATRIX_ALPHAS_MODS //	Enables RGB_MATRIX_ALPHAS_MODS
#undef ENABLE_RGB_MATRIX_GRADIENT_UP_DOWN //	Enables RGB_MATRIX_GRADIENT_UP_DOWN
#undef ENABLE_RGB_MATRIX_GRADIENT_LEFT_RIGHT //	Enables RGB_MATRIX_GRADIENT_LEFT_RIGHT
//#undef ENABLE_RGB_MATRIX_BREATHING //	Enables RGB_MATRIX_BREATHING
//#undef ENABLE_RGB_MATRIX_BAND_SAT //	Enables RGB_MATRIX_BAND_SAT
//#undef ENABLE_RGB_MATRIX_BAND_VAL 	//Enables RGB_MATRIX_BAND_VAL
#undef ENABLE_RGB_MATRIX_BAND_PINWHEEL_SAT //	Enables RGB_MATRIX_BAND_PINWHEEL_SAT
#undef ENABLE_RGB_MATRIX_BAND_PINWHEEL_VAL //	Enables RGB_MATRIX_BAND_PINWHEEL_VAL
#undef ENABLE_RGB_MATRIX_BAND_SPIRAL_SAT //	Enables RGB_MATRIX_BAND_SPIRAL_SAT
#undef ENABLE_RGB_MATRIX_BAND_SPIRAL_VAL //	Enables RGB_MATRIX_BAND_SPIRAL_VAL
#undef ENABLE_RGB_MATRIX_CYCLE_ALL //	Enables RGB_MATRIX_CYCLE_ALL
#undef ENABLE_RGB_MATRIX_CYCLE_LEFT_RIGHT //	Enables RGB_MATRIX_CYCLE_LEFT_RIGHT
#undef ENABLE_RGB_MATRIX_CYCLE_UP_DOWN //	Enables RGB_MATRIX_CYCLE_UP_DOWN
#undef ENABLE_RGB_MATRIX_RAINBOW_MOVING_CHEVRON //	Enables RGB_MATRIX_RAINBOW_MOVING_CHEVRON
#undef ENABLE_RGB_MATRIX_CYCLE_OUT_IN 	//Enables RGB_MATRIX_CYCLE_OUT_IN
#undef ENABLE_RGB_MATRIX_CYCLE_OUT_IN_DUAL //	Enables RGB_MATRIX_CYCLE_OUT_IN_DUAL
#undef ENABLE_RGB_MATRIX_CYCLE_PINWHEEL //	Enables RGB_MATRIX_CYCLE_PINWHEEL
#undef ENABLE_RGB_MATRIX_CYCLE_SPIRAL //	Enables RGB_MATRIX_CYCLE_SPIRAL
#undef ENABLE_RGB_MATRIX_DUAL_BEACON 	//Enables RGB_MATRIX_DUAL_BEACON
#undef ENABLE_RGB_MATRIX_RAINBOW_BEACON// 	Enables RGB_MATRIX_RAINBOW_BEACON
#undef ENABLE_RGB_MATRIX_RAINBOW_PINWHEELS //	Enables RGB_MATRIX_RAINBOW_PINWHEELS
#undef ENABLE_RGB_MATRIX_RAINDROPS 	//Enables RGB_MATRIX_RAINDROPS
#undef ENABLE_RGB_MATRIX_JELLYBEAN_RAINDROPS// 	Enables RGB_MATRIX_JELLYBEAN_RAINDROPS
//#undef ENABLE_RGB_MATRIX_HUE_BREATHING //	Enables RGB_MATRIX_HUE_BREATHING
#undef ENABLE_RGB_MATRIX_HUE_PENDULUM 	//Enables RGB_MATRIX_HUE_PENDULUM
#undef ENABLE_RGB_MATRIX_HUE_WAVE 	//Enables RGB_MATRIX_HUE_WAVE 
#undef ENABLE_RGB_MATRIX_PIXEL_FRACTAL 	//Enables RGB_MATRIX_PIXEL_FRACTAL
#undef ENABLE_RGB_MATRIX_PIXEL_FLOW 	//Enables RGB_MATRIX_PIXEL_FLOW
#undef ENABLE_RGB_MATRIX_PIXEL_RAIN 	//Enables RGB_MATRIX_PIXEL_RAIN
//#undef ENABLE_RGB_MATRIX_SOLID_REACTIVE_SIMPLE //	Enables RGB_MATRIX_SOLID_REACTIVE_SIMPLE
//#undef ENABLE_RGB_MATRIX_SOLID_REACTIVE //	Enables RGB_MATRIX_SOLID_REACTIVE
//#undef ENABLE_RGB_MATRIX_SOLID_REACTIVE_WIDE 	//Enables RGB_MATRIX_SOLID_REACTIVE_WIDE
//#undef ENABLE_RGB_MATRIX_SOLID_REACTIVE_MULTIWIDE //	Enables RGB_MATRIX_SOLID_REACTIVE_MULTIWIDE
//#undef ENABLE_RGB_MATRIX_SOLID_REACTIVE_CROSS //	Enables RGB_MATRIX_SOLID_REACTIVE_CROSS
#undef ENABLE_RGB_MATRIX_SOLID_REACTIVE_MULTICROSS //	Enables RGB_MATRIX_SOLID_REACTIVE_MULTICROSS
//#undef ENABLE_RGB_MATRIX_SOLID_REACTIVE_NEXUS 	//Enables RGB_MATRIX_SOLID_REACTIVE_NEXUS
#undef ENABLE_RGB_MATRIX_SOLID_REACTIVE_MULTINEXUS 	//Enables RGB_MATRIX_SOLID_REACTIVE_MULTINEXUS
//#undef ENABLE_RGB_MATRIX_SPLASH 	//Enables RGB_MATRIX_SPLASH
#undef ENABLE_RGB_MATRIX_MULTISPLASH //	Enables RGB_MATRIX_MULTISPLASH
//#undef ENABLE_RGB_MATRIX_SOLID_SPLASH 	//Enables RGB_MATRIX_SOLID_SPLASH
#undef ENABLE_RGB_MATRIX_SOLID_MULTISPLASH //	Enables RGB_MATRIX_SOLID_MULTISPLASH
